# Uses of Class
javassist.bytecode.SignatureAttribute.TypeArgument

Packages that use SignatureAttribute.TypeArgument
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of SignatureAttribute.TypeArgument in javassist.bytecode

Methods in javassist.bytecode that return SignatureAttribute.TypeArgument
Modifier and Type
Method
Description
`SignatureAttribute.TypeArgument[]`
SignatureAttribute.ClassType.`getTypeArguments()`
Returns the type arguments.
`static SignatureAttribute.TypeArgument`
SignatureAttribute.TypeArgument.`subclassOf(SignatureAttribute.ObjectType t)`
A factory method constructing a `TypeArgument` with an upper bound.
`static SignatureAttribute.TypeArgument`
SignatureAttribute.TypeArgument.`superOf(SignatureAttribute.ObjectType t)`
A factory method constructing a `TypeArgument` with an lower bound.
Constructors in javassist.bytecode with parameters of type SignatureAttribute.TypeArgument
Modifier
Constructor
Description
``
`ClassType(String className, SignatureAttribute.TypeArgument[] args)`
Constructs a `ClassType`.
``
`NestedClassType(SignatureAttribute.ClassType parent, String className, SignatureAttribute.TypeArgument[] args)`
Constructs a `NestedClassType`.